Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2014-1346

Overview

Vulnerability Score 5.0 5.0
CVE Id CVE-2014-1346
Last Modified 24 Jul 2014 12:58:09
Published 22 May 2014 03:55:08
Confidentiality Impact NONE NONE
Integrity Impact PARTIAL PARTIAL
Availability Impact NONE NONE
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2014-1346

Summary

WebKit, as used in Apple Safari before 6.1.4 and 7.x before 7.0.4, does not properly interpret Unicode encoding, which allows remote attackers to spoof a postMessage origin, and bypass intended restrictions on sending a message to a connected frame or window, via crafted characters in a URL.

Vulnerable Systems

Application

  • Apple Safari 6.0

  • Apple Safari 6.0.1

  • Apple Safari 6.0.2

  • Apple Safari 6.0.3

  • Apple Safari 6.0.4

  • Apple Safari 6.0.5

  • Apple Safari 6.1

  • Apple Safari 6.1.1

  • Apple Safari 6.1.2

  • Apple Safari 6.1.3

  • Apple Safari 7.0

  • Apple Safari 7.0.1

  • Apple Safari 7.0.2

  • Apple Safari 7.0.3


References

CONFIRM - http://support.apple.com/kb/HT6254

APPLE - APPLE-SA-2014-05-21-1

APPLE - APPLE-SA-2014-06-30-3

BID - 67554

Related Patches

Apple 2014-05-21 Safari Update 6.1.4 (Lion)

Apple 2014-05-21 Safari Update 6.1.4 (Mountain Lion)

Apple 2014-05-21 Safari Update 7.0.4 (Mavericks)


Last Updated: 27 May 2016 11:05:23